Loading...
Searching...
No Matches
pcl::gpu::DataSource Struct Reference

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/features/test/data_source.hpp>`

## Classes

struct | Normal2PointXYZ

## Public Member Functions

| DataSource (const std::string &file="d:/office_chair_model.pcd")
void | generateColor ()
void | estimateNormals ()
void | runCloudViewer () const
void | findKNNeghbors ()
void | findRadiusNeghbors (float radius=-1)
void | getNeghborsArray (std::vector< int > &data)
void | generateSurface ()
void | generateIndices (std::size_t step=100)

## Public Attributes

PointCloud< PointXYZ >::Ptr | cloud
PointCloud< PointXYZ >::Ptr | surface
IndicesPtr | indices
PointCloud< Normal >::Ptr | normals
PointCloud< Normal >::Ptr | normals_surface
float | radius
std::vector< std::vector< int > > | neighbors_all
std::vector< int > | sizes
int | max_nn_size

## Static Public Attributes

static const int | k = 32
static const int | max_elements = 500

## Detailed Description

Definition at line 65 of file data_source.hpp.

## Constructor & Destructor Documentation

## DataSource()

pcl::gpu::DataSource::DataSource | ( | const std::string & | file = "d:/office_chair_model.pcd" | ) |

inline

Definition at line 82 of file data_source.hpp.

References cloud, pcl::getMinMax3D(), indices, normals, normals_surface, radius, pcl::PCDReader::read(), and surface.

## Member Function Documentation

## estimateNormals()

void pcl::gpu::DataSource::estimateNormals | ( |  | ) |

inline

Definition at line 107 of file data_source.hpp.

References cloud, pcl::Feature< PointInT, PointOutT >::compute(), k, normals, pcl::NormalEstimation< PointInT, PointOutT >::setInputCloud(), pcl::Feature< PointInT, PointOutT >::setKSearch(), and pcl::Feature< PointInT, PointOutT >::setSearchMethod().

## findKNNeghbors()

void pcl::gpu::DataSource::findKNNeghbors | ( |  | ) |

inline

Definition at line 125 of file data_source.hpp.

References cloud, k, max_nn_size, pcl::KdTreeFLANN< PointT, Dist >::nearestKSearch(), neighbors_all, pcl::KdTreeFLANN< PointT, Dist >::setInputCloud(), and sizes.

## findRadiusNeghbors()

void pcl::gpu::DataSource::findRadiusNeghbors | ( | float | radius = -1 | ) |

inline

Definition at line 142 of file data_source.hpp.

References cloud, max_nn_size, neighbors_all, radius, pcl::KdTreeFLANN< PointT, Dist >::radiusSearch(), pcl::KdTreeFLANN< PointT, Dist >::setInputCloud(), and sizes.

## generateColor()

void pcl::gpu::DataSource::generateColor | ( |  | ) |

inline

Definition at line 95 of file data_source.hpp.

References cloud.

## generateIndices()

void pcl::gpu::DataSource::generateIndices | ( | std::size_t | step = 100 | ) |

inline

Definition at line 188 of file data_source.hpp.

References cloud, and indices.

## generateSurface()

void pcl::gpu::DataSource::generateSurface | ( |  | ) |

inline

Definition at line 169 of file data_source.hpp.

References cloud, normals, normals_surface, and surface.

## getNeghborsArray()

void pcl::gpu::DataSource::getNeghborsArray | ( | std::vector< int > & | data | ) |

inline

Definition at line 161 of file data_source.hpp.

References max_nn_size, neighbors_all, and pcl::gpu::PtrStep< T >::ptr().

## runCloudViewer()

void pcl::gpu::DataSource::runCloudViewer | ( |  | ) | const

inline

Definition at line 118 of file data_source.hpp.

References cloud, pcl::visualization::CloudViewer::showCloud(), and pcl::visualization::CloudViewer::wasStopped().

## Member Data Documentation

## cloud

PointCloud<PointXYZ>::Ptr pcl::gpu::DataSource::cloud

Definition at line 70 of file data_source.hpp.

Referenced by DataSource(), estimateNormals(), findKNNeghbors(), findRadiusNeghbors(), generateColor(), generateIndices(), generateSurface(), and runCloudViewer().

## indices

IndicesPtr pcl::gpu::DataSource::indices

Definition at line 72 of file data_source.hpp.

Referenced by DataSource(), and generateIndices().

## k

const int pcl::gpu::DataSource::k = 32

static

Definition at line 67 of file data_source.hpp.

Referenced by estimateNormals(), and findKNNeghbors().

## max_elements

const int pcl::gpu::DataSource::max_elements = 500

static

Definition at line 68 of file data_source.hpp.

## max_nn_size

int pcl::gpu::DataSource::max_nn_size

Definition at line 80 of file data_source.hpp.

Referenced by findKNNeghbors(), findRadiusNeghbors(), and getNeghborsArray().

## neighbors_all

std::vector< std::vector<int> > pcl::gpu::DataSource::neighbors_all

Definition at line 78 of file data_source.hpp.

Referenced by findKNNeghbors(), findRadiusNeghbors(), and getNeghborsArray().

## normals

PointCloud<Normal>::Ptr pcl::gpu::DataSource::normals

Definition at line 74 of file data_source.hpp.

Referenced by DataSource(), estimateNormals(), and generateSurface().

## normals_surface

PointCloud<Normal>::Ptr pcl::gpu::DataSource::normals_surface

Definition at line 75 of file data_source.hpp.

Referenced by DataSource(), and generateSurface().

## radius

float pcl::gpu::DataSource::radius

Definition at line 76 of file data_source.hpp.

Referenced by DataSource(), and findRadiusNeghbors().

## sizes

std::vector<int> pcl::gpu::DataSource::sizes

Definition at line 79 of file data_source.hpp.

Referenced by findKNNeghbors(), and findRadiusNeghbors().

## surface

PointCloud<PointXYZ>::Ptr pcl::gpu::DataSource::surface

Definition at line 71 of file data_source.hpp.

Referenced by DataSource(), and generateSurface().

The documentation for this struct was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/features/test/data_source.hpp